import { Injectable } from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';

@Injectable()
export class CollaborationService {
  showRequestForm$: BehaviorSubject<boolean> = new BehaviorSubject(false);

  public isRequestFormVisible(): Observable<boolean> {
    return this.showRequestForm$.asObservable();
  }

  public showRequestForm(): void {
    this.showRequestForm$.next(true);
  }

  public hideRequestForm(): void {
    this.showRequestForm$.next(false);
  }
}
