import { Component, OnInit } from '@angular/core';
import { CollaborationService } from 'libs/collaboration-shared/src/lib/collaboration.service';
import { Observable } from 'rxjs';

@Component({
  selector: 'alfa-collaboration-in-vorgang-container',
  templateUrl: './collaboration-in-vorgang-container.component.html',
})
export class CollaborationInVorgangContainerComponent implements OnInit {
  public isRequestFormVisible$: Observable<boolean>;

  constructor(private service: CollaborationService) {}

  ngOnInit(): void {
    this.isRequestFormVisible$ = this.service.isRequestFormVisible();
  }

  public showRequestForm(): void {
    this.service.showRequestForm();
  }

  public hideRequestForm(): void {
    this.service.hideRequestForm();
  }
}
