import { dispatchEventFromFixture } from '@alfa-client/test-utils';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ButtonComponent, CloseIconComponent } from '@ods/system';
import { SearchIconComponent } from 'libs/design-system/src/lib/icons/search-icon/search-icon.component';
import { getDataTestIdAttributeOf } from 'libs/tech-shared/test/data-test';
import { MockComponent } from 'ng-mocks';
import { CollaborationRequestContainerComponent } from './collaboration-request-container.component';
import { CollaborationRequestFormComponent } from './collaboration-request-form/collaboration-request-form.component';

describe('CollaborationRequestContainerComponent', () => {
  let component: CollaborationRequestContainerComponent;
  let fixture: ComponentFixture<CollaborationRequestContainerComponent>;

  const cancelButton: string = getDataTestIdAttributeOf('collaboration-request-cancel-button');

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [
        CollaborationRequestContainerComponent,
        MockComponent(ButtonComponent),
        MockComponent(SearchIconComponent),
        MockComponent(CloseIconComponent),
        MockComponent(CollaborationRequestFormComponent),
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(CollaborationRequestContainerComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('cancel button', () => {
    it('should emit hideRequestForm', () => {
      const emitSpy = (component.hideRequestForm.emit = jest.fn());

      dispatchEventFromFixture(fixture, cancelButton, 'clickEmitter');

      expect(emitSpy).toHaveBeenCalled();
    });
  });
});
