import { CommandResource } from '@alfa-client/command-shared';
import { AbstractFormService, EMPTY_STRING, StateResource } from '@alfa-client/tech-shared';
import { Injectable } from '@angular/core';
import { UntypedFormBuilder, UntypedFormControl, UntypedFormGroup } from '@angular/forms';
import { Observable, of } from 'rxjs';

@Injectable()
export class CollaborationRequestFormService extends AbstractFormService {
  public static readonly FIELD_TITLE = 'titel';
  public static readonly FIELD_NACHRICHT = 'nachricht';

  constructor(formBuilder: UntypedFormBuilder) {
    super(formBuilder);
  }

  protected initForm(): UntypedFormGroup {
    return this.formBuilder.group({
      [CollaborationRequestFormService.FIELD_TITLE]: new UntypedFormControl(null),
      [CollaborationRequestFormService.FIELD_NACHRICHT]: new UntypedFormControl(null),
    });
  }

  protected doSubmit(): Observable<StateResource<CommandResource>> {
    return of();
  }

  protected getPathPrefix(): string {
    return EMPTY_STRING;
  }
}
