import { CollaborationSharedModule } from '@alfa-client/collaboration-shared';
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { TextEditorComponent, TextareaEditorComponent } from '@ods/component';
import {
  ButtonComponent,
  CloseIconComponent,
  CollaborationIconComponent,
  SaveIconComponent,
} from '@ods/system';
import { SearchIconComponent } from 'libs/design-system/src/lib/icons/search-icon/search-icon.component';
import { CollaborationInVorgangContainerComponent } from './collaboration-in-vorgang-container/collaboration-in-vorgang-container.component';
import { CollaborationRequestContainerComponent } from './collaboration-in-vorgang-container/collaboration-request-container/collaboration-request-container.component';
import { CollaborationRequestFormComponent } from './collaboration-in-vorgang-container/collaboration-request-container/collaboration-request-form/collaboration-request-form.component';

@NgModule({
  imports: [
    CommonModule,
    ButtonComponent,
    SaveIconComponent,
    CloseIconComponent,
    SearchIconComponent,
    CollaborationSharedModule,
    CollaborationIconComponent,
    TextEditorComponent,
    TextareaEditorComponent,
    FormsModule,
    ReactiveFormsModule,
  ],
  declarations: [
    CollaborationInVorgangContainerComponent,
    CollaborationRequestContainerComponent,
    CollaborationRequestFormComponent,
  ],
  exports: [CollaborationInVorgangContainerComponent],
})
export class CollaborationModule {}
